Run Reconciliation Rule

Use this REST API to execute applicable rules against reconciliations for a specified period, optionally constrained by a public reconciliation filter and limited to specific rule types.

REST Resource

POST       /armARCS/rest/{api_version}/jobs

Required Roles

Service Administrator

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job.

Table 5-76 trainMatching

Name Description Type Required
api_version Version of the API you are working with: v1 Path Yes
jobName The name of the job, RUN_RECONCILIATION_RULES Payload Yes
period The name of the period to run the rules, such as July-2025 Payload Yes
filter The name of a public filter appropriate for the objects being processed. If specified, rules are run only for the Reconciliations included in that filter (for example, Expense Accounts). Payload Yes
ruleTypes The rule type(s) to run, provided as a case-insensitive, comma-separated list. If omitted, all rule types are run. Payload No

Example of request body

{
 "jobName" : "RUN_RECONCILIATION_RULES",
 "parameters": {
     "period": "December 2025",
     "filter": "Open Recs with Preparer"
     }
}

Response

Supported Media Types: application/json

Parameters:

Table 5-77 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body


{
    "type": "ARCS",
    "status": -1,
    "details": "In Process",
    "links": [
        {
            "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/armARCS/rest/v1/jobs/100000103240030",
            "action": "GET",
            "rel": "self"
        }
    ]
}

If the job completes successfully, the job details include the number of Profiles impacted by the rules. If it fails, the details include the error message.

{
    "type": "ARCS",
    "status": 0,
    "details": "Processed: 1032\nUpdated: 167\nWarnings: 0\nErrors: 0",
    "links": [
        {
            "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/armARCS/rest/v1/jobs/100000103240030",
            "action": "GET",
            "rel": "self"
        }
    ],

        "error": null,
         "items": null,
         "link": null
}